Package wx :: Module richtext :: Class RichTextHTMLHandler

[frames | no frames]

## Type RichTextHTMLHandler

         object --+
                  |
             Object --+
                      |
    RichTextFileHandler --+
                          |
                         RichTextHTMLHandler

Proxy of C++ RichTextHTMLHandler class

Method Summary
RichTextHTMLHandler | `__init__(self, name, ext, type)`
| ``ClearTemporaryImageLocations`(self)` Clear the image locations generated by the last operation
bool | ``DeleteTemporaryImages`(self)` Delete the in-memory or temporary files generated by the last operation
wxArrayInt | ``GetFontSizeMapping`(self)` Get mapping deom point size to HTML font size.
String | ``GetTempDir`(self)` Get the directory for storing temporary files.
wxArrayString | ``GetTemporaryImageLocations`(self)` Get the list of image locations generated by the last operation
| ``SetFileCounter`(counter)` Reset the file counter, in case, for example, the same names are required each time (Static method)
| ``SetFontSizeMapping`(self, fontSizeMapping)` Set mapping from point size to HTML font size.
| ``SetTempDir`(self, tempDir)` Set the directory for storing temporary files.
| ``SetTemporaryImageLocations`(self, locations)` Set the list of image locations generated by the last operation

Property Summary
| `FontSizeMapping`: GetFontSizeMapping(self) -> wxArrayInt
| `TempDir`: GetTempDir(self) -> String
| `TemporaryImageLocations`: GetTemporaryImageLocations(self) -> wxArrayString
| `thisown`: The membership flag

Instance Method Details

### ClearTemporaryImageLocations(self)

Clear the image locations generated by the last operation

### DeleteTemporaryImages(self)

Delete the in-memory or temporary files generated by the last operation

  Returns:
    bool

### GetFontSizeMapping(self)

Get mapping deom point size to HTML font size.

  Returns:
    wxArrayInt

### GetTempDir(self)

Get the directory for storing temporary files. If empty, the system temporary directory will be used.

  Returns:
    String

### GetTemporaryImageLocations(self)

Get the list of image locations generated by the last operation

  Returns:
    wxArrayString

### SetFontSizeMapping(self, fontSizeMapping)

Set mapping from point size to HTML font size. There should be 7 elements, one for each HTML font size, each element specifying the maximum point size for that HTML font size. E.g. 8, 10, 13, 17, 22, 29, 100

  Parameters:
    `fontSizeMapping`
    (type=wxArrayInt)

### SetTempDir(self, tempDir)

Set the directory for storing temporary files. If empty, the system temporary directory will be used.

  Parameters:
    `tempDir`
    (type=String)

### SetTemporaryImageLocations(self, locations)

Set the list of image locations generated by the last operation

  Parameters:
    `locations`
    (type=wxArrayString)

Static Method Details

### SetFileCounter(counter)

Reset the file counter, in case, for example, the same names are required each time

  Parameters:
    `counter`
    (type=int)

Property Details

### FontSizeMapping

GetFontSizeMapping(self) -> wxArrayInt

Get mapping deom point size to HTML font size.

  Get Method:
    `GetFontSizeMapping`(self)
  Set Method:
    `SetFontSizeMapping`(self, fontSizeMapping)

### TempDir

GetTempDir(self) -> String

Get the directory for storing temporary files. If empty, the system temporary directory will be used.

  Get Method:
    `GetTempDir`(self)
  Set Method:
    `SetTempDir`(self, tempDir)

### TemporaryImageLocations

GetTemporaryImageLocations(self) -> wxArrayString

Get the list of image locations generated by the last operation

  Get Method:
    `GetTemporaryImageLocations`(self)
  Set Method:
    `SetTemporaryImageLocations`(self, locations)

### thisown

The membership flag

  Get Method:
    unknown-43015296(...)
  Set Method:
    unknown-43015416(...)

Generated by Epydoc 2.1.20050511.rpd on Wed Sep 26 13:46:22 2007 | http://epydoc.sf.net